Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon
Class KeyDefinition

    java.lang.Object
      com.icl.saxon.KeyDefinition

public class KeyDefinition
extends java.lang.Object

Corresponds to a single key definition.

Constructor Summary
`KeyDefinition(int fingerprint, Pattern match, Expression use)` Constructor to create a key definition

Method Summary
`int` | `getFingerprint()` Get the fingerprint of the name of the key definition
`Pattern` | `getMatch()` Get the match pattern for the key definition
`Expression` | `getUse()` Get the use expression for the key definition

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyDefinition

    public KeyDefinition(int fingerprint,
                         Pattern match,
                         Expression use)

  Constructor to create a key definition

Method Detail

### getFingerprint

    public int getFingerprint()

  Get the fingerprint of the name of the key definition

### getMatch

    public Pattern getMatch()

  Get the match pattern for the key definition

### getUse

    public Expression getUse()

  Get the use expression for the key definition

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD